%define lib_major       2
%define libname        %mklibname cairo %{lib_major}
%define libnamedev     %mklibname -d cairo
%define libnamestaticdev %mklibname -s -d cairo
%define build_doc 1


Summary: Cairo - multi-platform 2D graphics library
Name: cairo
Version: 1.14.10
Release: %mkrel 3
License: BSD
Group: System/Libraries
Source0: http://cairographics.org/releases/%name-%version.tar.xz
Patch0: cairo-respect-fontconfig.patch
Patch1: cairo-modules-no-version.patch
Patch2: cairo-1.14.8-CVE-2016-9082.patch
URL: http://cairographics.org/
#--------------------------------------------------
BuildRequires: %{_lib}binutils-devel
BuildRequires: %{_lib}directfb-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}spectre-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxcb-devel
BuildRequires:  gtk-doc
BuildRequires:  fonts-ttf-bitstream-vera
#--------------------------------------------------
Requires:	%{_lib}pixman1_0
BuildRoot:	%_tmppath/%name-%version-root
Obsoletes: 	%name < %version

%description
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libname}
Summary:	Cairo - multi-platform 2D graphics library
Group:		System/Libraries
Provides:	cairo = %{version}-%{release}
Requires:	freetype2

%description -n %{libname}
Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

Cairo exports a stateful rendering API similar in spirit to the path
construction, text, and painting operators of PostScript, (with the
significant addition of translucence in the imaging model). When
complete, the API is intended to support the complete imaging model of
PDF 1.4.

Cairo relies on the Xc library for backend rendering. Xc provides an
abstract interface for rendering to multiple target types. As of this
writing, Xc allows Cairo to target X drawables as well as generic
image buffers. Future backends such as PostScript, PDF, and perhaps
OpenGL are currently being planned.

%package -n %{libnamedev}
Summary:	Development files for Cairo library
Group:		Development/Libraries
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Obsoletes:      %mklibname -d cairo 2
Conflicts:	%{_lib}cairo1-devel

%description -n %{libnamedev}
Development files for Cairo library.

%package -n %{libnamestaticdev}
Summary:	Static Cairo library
Group:		Development/Libraries
Requires:	%{libnamedev} = %version
Provides:	lib%name-static-devel = %version
Obsoletes: 	%mklibname -s -d cairo 2

%description -n %{libnamestaticdev}
Static Cairo library.


%prep
%setup -q
%apply_patches

%build
export PTHREAD_LIBS=-lpthread
flags="%{optflags} -fno-lto"
export CFLAGS="$flags" CXXFLAGS="$flags" FFLAGS="$flags"
autoreconf -vfi
%configure2_5x \
%if %build_doc
--enable-gtk-doc \
%endif
--enable-pdf --enable-ps --enable-xcb --enable-tee --enable-directfb --enable-freetype --enable-xlib --enable-gl --enable-gobject
%make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
find %{buildroot} -name *.la | xargs rm


%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%_libdir/libcairo.so.%{lib_major}*
%_libdir/libcairo-gobject.so.%{lib_major}*
%_libdir/libcairo-script-interpreter.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(644,root,root,755)
%doc RELEASING BIBLIOGRAPHY BUGS ChangeLog
%attr(755,root,root) %_bindir/cairo-trace
%attr(755,root,root) %_bindir/cairo-sphinx
%_libdir/cairo/
%_libdir/lib*.so
%_includedir/*
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/html/cairo/

%files -n %{libnamestaticdev}
%defattr(644,root,root,755)
%_libdir/lib*.a

%changelog
* Tue Jul 10 2018 adrianomorselli <adrianomorselli> 1.14.10-3uplos2018
- update
